#include<bits/stdc++.h>
using namespace std;
int N,a,b,c,d,e,f,g,h;
int main(){
cin>>N;
cin>>a>>b>>c>>d>>e>>f>>g>>h;
if (a>b)swap(a,b);
if (b>c)swap(b,c);
if (c>d)swap(c,d);
if (d>e)swap(d,e);
if (e>f)swap(e,f);
if (f>g)swap(f,g);
if (g>h)swap(g,h);
cout <<h<<g<<f<<e<<d<<c<<b<<a;
















return 0;


}